- Qt 5.15
- Qt QML
- C++ Classes
- QQmlIncubationController
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QQmlIncubationController

The following members of class QQmlIncubationController are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | incubateWhile(volatile bool *flag, int msecs = 0)

## Member Function Documentation

### void QQmlIncubationController::incubateWhile(volatile bool *flag, int msecs = 0)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Warning: Do not use this function. Use the overload taking a `std::atomic<bool>` instead.